This is the mail archive of the libc-alpha@sourceware.org mailing list for the glibc project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

[PATCH] Add GLIBC_2.3 and GLIBC_2.19 in Versions.def


Hi all,

This patch add GLIBC_2.3 and GLIBC_2.19 mark on Version.def so they are always
define in abi-versions.h. This fixes a build issue with fe_nomask.c in PPC64 
LE where neither GLIBC_2_3 or GLIBC_2_19 are defined for SHLIB_COMPAT, resulting
in a wrong evaluation in the macro.

Tested on PPC64, PPC64LE. OK to apply?

---

2013-12-09  Adhemerval Zanella  <azanella@linux.vnet.ibm.com>

        * Versions.def (libm): Add GLIBC_2.3 and GLIBC_2.19. 

--

diff --git a/Versions.def b/Versions.def
index bca4ff4..d834b10 100644
--- a/Versions.def
+++ b/Versions.def
@@ -56,10 +56,12 @@ libm {
   GLIBC_2.1
   GLIBC_2.2
   GLIBC_2.2.3
+  GLIBC_2.3
   GLIBC_2.3.4
   GLIBC_2.4
   GLIBC_2.15
   GLIBC_2.18
+  GLIBC_2.19
 }
 libnsl {
   GLIBC_2.0


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]